# Get information about assessor
require 'facter'
require 'json'
require 'task_helper'

Facter.add(:ssldir) do
  setcode do
    os_facts = get_fact('os')

    path = case os_facts['os']['family']
           when 'windows'
             ''
           else
             # fix for missing path in RHEL6 vm
             'export PATH=/usr/local/bin:$PATH && '
           end

    config = Open3.capture3("#{path}puppet config print ssldir")

    config[0].strip
  end
end
